with GNATCOM.Dispinterface;

package MSHTML.DispHTMLCurrentStyle_Object is

   type DispHTMLCurrentStyle_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentRule
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function getPropertyValue
     (This             : DispHTMLCurrentStyle_Type;
      bstrPropertyName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getPropertyPriority
     (This             : DispHTMLCurrentStyle_Type;
      bstrPropertyName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeProperty
     (This             : DispHTMLCurrentStyle_Type;
      bstrPropertyName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure setProperty
     (This                 : DispHTMLCurrentStyle_Type;
      bstrPropertyName     : GNATCOM.Types.VARIANT;
      pvarPropertyValue    : GNATCOM.Types.VARIANT;
      pvarPropertyPriority : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free                 : Boolean := True);

   function item
     (This  : DispHTMLCurrentStyle_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollChaining
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollChaining
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZooming
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZooming
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomSnapType
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomSnapType
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollRails
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollRails
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomChaining
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomChaining
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollSnapType
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollSnapType
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomLimit
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomLimit
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomSnap
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomSnap
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomSnapPoints
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomSnapPoints
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomLimitMin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomLimitMin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msContentZoomLimitMax
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msContentZoomLimitMax
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollSnapX
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollSnapX
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollSnapY
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollSnapY
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollSnapPointsX
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollSnapPointsX
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollSnapPointsY
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollSnapPointsY
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridColumn
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridColumn
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridColumnAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridColumnAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridColumns
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridColumns
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridColumnSpan
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridColumnSpan
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridRow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridRow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridRowAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridRowAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridRows
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridRows
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msGridRowSpan
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msGridRowSpan
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msWrapThrough
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msWrapThrough
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msWrapMargin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msWrapMargin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msWrapFlow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msWrapFlow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationName
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationName
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationPlayState
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationPlayState
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationIterationCount
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationIterationCount
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimation
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimation
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msAnimationFillMode
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msAnimationFillMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_colorInterpolationFilters
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_colorInterpolationFilters
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnCount
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnCount
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnWidth
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnGap
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnGap
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnFill
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnFill
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnSpan
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnSpan
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columns
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columns
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnRule
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnRule
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnRuleColor
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnRuleColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnRuleStyle
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnRuleStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_columnRuleWidth
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_columnRuleWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_breakBefore
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_breakBefore
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_breakAfter
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_breakAfter
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_breakInside
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_breakInside
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_floodColor
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_floodColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_floodOpacity
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_floodOpacity
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lightingColor
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lightingColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollLimitXMin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollLimitXMin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollLimitYMin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollLimitYMin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollLimitXMax
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollLimitXMax
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollLimitYMax
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollLimitYMax
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollLimit
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollLimit
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textShadow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textShadow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlowFrom
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlowFrom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlowInto
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlowInto
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msHyphens
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msHyphens
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msHyphenateLimitZone
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msHyphenateLimitZone
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msHyphenateLimitChars
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msHyphenateLimitChars
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msHyphenateLimitLines
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msHyphenateLimitLines
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msHighContrastAdjust
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msHighContrastAdjust
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_enableBackground
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_enableBackground
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFontFeatureSettings
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFontFeatureSettings
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msUserSelect
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msUserSelect
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msOverflowStyle
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msOverflowStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransformStyle
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransformStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msBackfaceVisibility
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msBackfaceVisibility
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msPerspective
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msPerspective
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msPerspectiveOrigin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msPerspectiveOrigin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransitionProperty
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransitionProperty
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransitionDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransitionDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransitionTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransitionTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransitionDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransitionDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTransition
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTransition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTouchAction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTouchAction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msScrollTranslation
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msScrollTranslation
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlex
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlex
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexPositive
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexPositive
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexNegative
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexNegative
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexPreferredSize
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexPreferredSize
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexFlow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexFlow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexWrap
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexWrap
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexItemAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexItemAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexPack
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexPack
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexLinePack
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexLinePack
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msFlexOrder
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msFlexOrder
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTouchSelect
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTouchSelect
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transform
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transform
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transformOrigin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transformOrigin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transformStyle
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transformStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_backfaceVisibility
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_backfaceVisibility
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_perspective
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_perspective
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_perspectiveOrigin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_perspectiveOrigin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transitionProperty
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transitionProperty
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transitionDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transitionDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transitionTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transitionTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transitionDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transitionDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_transition
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_transition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_fontFeatureSettings
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_fontFeatureSettings
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationName
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationName
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationPlayState
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationPlayState
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationIterationCount
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationIterationCount
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animation
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animation
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_animationFillMode
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_animationFillMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flex
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flex
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexWrap
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexWrap
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexFlow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexFlow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexGrow
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexGrow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexShrink
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexShrink
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_flexBasis
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_flexBasis
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_justifyContent
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_justifyContent
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_alignItems
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_alignItems
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_alignSelf
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_alignSelf
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_alignContent
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_alignContent
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImage
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImage
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImageSource
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImageSource
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImageSlice
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImageSlice
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImageWidth
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImageWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImageOutset
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImageOutset
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderImageRepeat
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderImageRepeat
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msImeAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msImeAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTextCombineHorizontal
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTextCombineHorizontal
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_touchAction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_touchAction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAppearance
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAppearance
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitUserSelect
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitUserSelect
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxAlign
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxOrdinalGroup
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxOrdinalGroup
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxPack
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxPack
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxFlex
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxFlex
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxOrient
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxOrient
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransform
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransform
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundSize
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundSize
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackfaceVisibility
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackfaceVisibility
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimation
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimation
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransition
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationName
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationName
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationIterationCount
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationIterationCount
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationDirection
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationPlayState
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationPlayState
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransitionProperty
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransitionProperty
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransitionDuration
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransitionDuration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransitionTimingFunction
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransitionTimingFunction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransitionDelay
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransitionDelay
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundAttachment
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundAttachment
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundColor
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundClip
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundClip
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundImage
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundImage
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundRepeat
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundRepeat
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundOrigin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundOrigin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundPosition
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundPosition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundPositionX
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundPositionX
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackgroundPositionY
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackgroundPositionY
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBackground
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBackground
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTransformOrigin
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTransformOrigin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_msTextSizeAdjust
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_msTextSizeAdjust
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitTextSizeAdjust
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitTextSizeAdjust
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImage
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImage
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImageSource
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImageSource
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImageSlice
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImageSlice
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImageWidth
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImageWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImageOutset
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImageOutset
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBorderImageRepeat
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBorderImageRepeat
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitBoxSizing
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitBoxSizing
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_webkitAnimationFillMode
     (This : DispHTMLCurrentStyle_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_webkitAnimationFillMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_position
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_styleFloat
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_color
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontFamily
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontVariant
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontWeight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fontSize
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundImage
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundPositionX
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundPositionY
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundRepeat
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderLeftColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderTopColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderRightColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderBottomColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderTopStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderRightStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderBottomStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderLeftStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderTopWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderRightWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderBottomWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderLeftWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_left
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_top
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_width
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_height
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingLeft
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingTop
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingRight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_paddingBottom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textDecoration
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_display
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_visibility
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_zIndex
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_letterSpacing
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_lineHeight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textIndent
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_verticalAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_backgroundAttachment
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginTop
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginRight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginBottom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_marginLeft
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clear
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_listStyleType
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_listStylePosition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_listStyleImage
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipTop
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipRight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipBottom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_clipLeft
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_overflow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageBreakBefore
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageBreakAfter
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cursor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_tableLayout
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderCollapse
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_direction
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_behavior
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function getAttribute
     (This             : DispHTMLCurrentStyle_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      lFlags           : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_unicodeBidi
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_right
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_bottom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_imeMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_rubyAlign
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_rubyPosition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_rubyOverhang
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textAutospace
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_lineBreak
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_wordBreak
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textJustify
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textJustifyTrim
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textKashida
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_blockDirection
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridChar
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridLine
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutGridType
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_padding
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_margin
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_accelerator
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_overflowX
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_overflowY
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textTransform
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_layoutFlow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_wordWrap
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textUnderlinePosition
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_hasLayout
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarBaseColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarFaceColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbar3dLightColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarShadowColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarHighlightColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarDarkShadowColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarArrowColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_scrollbarTrackColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_writingMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_zoom
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_filter
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textAlignLast
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textKashidaSpace
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isBlock
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_textOverflow
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_minHeight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_wordSpacing
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_whiteSpace
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_msInterpolationMode
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_maxHeight
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_minWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_maxWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_captionSide
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outline
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineWidth
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineStyle
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_outlineColor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_boxSizing
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_borderSpacing
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_orphans
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_widows
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pageBreakInside
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_emptyCells
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_msBlockProgression
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_quotes
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLCurrentStyle_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLCurrentStyle_Object;

